Subject: Re: [PATCH] t4053: avoid race when killing background processes

From: Junio C Hamano <[email-masked]>
Date: Fri, 11 Aug 2023 08:47:27 -0700

Phillip Wood <[email-masked]> writes:

> On 10/08/2023 18:40, Junio C Hamano wrote:
>> "Phillip Wood via GitGitGadget" <[email-masked]> writes:
>>
>> While I can see that "kill" in the when-finished handler may or may
>> not find the backgrounded process by the time it is run, and
>> ignoring its exit status (hence keeping test_when_finished happy)
>> would be a reasonable thing to do.  I can understand if this patch
>> is to fix a different symptom, namely, when-finished handler
>> sometimes fails and makes the test fail.
>> But I am not sure how this causes the test to "hang", 
>
>
> This is only a fix for the test failure that Peff saw when running
> with --stress.

Ah, OK.  I obviously misread the proposed commit log message.  And
as a race-fix, this would be good.

Thanks.